/// <reference types="node" />
import { IncomingHttpHeaders, IncomingMessage, ServerResponse } from 'http';
import { IContext } from './types';
export declare class Context implements IContext {
    req: IncomingMessage;
    res: ServerResponse;
    private urlParsedCache;
    private _querycache;
    responseHeaders: {};
    body: unknown;
    constructor(req: IncomingMessage, res: ServerResponse);
    get path(): string;
    get headers(): IncomingHttpHeaders;
    get method(): string;
    get querystring(): string;
    get search(): string;
    get(field: string): string;
    get query(): Record<string, string>;
    get statusCode(): number;
    set statusCode(code: number);
    get statusMessage(): string;
    set statusMessage(msg: string);
    get writable(): boolean;
    set(field: string, val: string): Context;
    respond(): void;
}
export declare function CtxProvider(request: IncomingMessage, response: ServerResponse): IContext;
