"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.OshamHeaders = void 0;
class OshamHeaders {
    constructor(key) {
        this.key = key;
        this.hit = false;
        this.pooled = false;
        this.pooled_main = false;
    }
    setHit(value) {
        this.hit = value;
        return this;
    }
    setPooledMain(value) {
        this.pooled_main = value;
        return this;
    }
    setPooled(value) {
        this.pooled = value;
        this.pooled_start_time = Date.now();
        return this;
    }
    toRecords() {
        const headers = { 'x-osham-key': this.key, 'x-osham-hit': String(this.hit) };
        if (this.pooled) {
            Reflect.set(headers, 'x-osham-pooled', String(true));
            Reflect.set(headers, 'x-osham-pooled-wait', `${Date.now() - this.pooled_start_time}ms`);
        }
        if (this.pooled_main) {
            Reflect.set(headers, 'x-osham-pooled-main', String(true));
        }
        return headers;
    }
    static notConfigured(http_method) {
        return { 'x-osham-cache': http_method === 'GET' ? 'no-config' : 'not-allowed' };
    }
}
exports.OshamHeaders = OshamHeaders;
