"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Server = void 0;
const Debug = require("debug");
const fs_1 = require("fs");
const http_1 = require("http");
const https_1 = require("https");
const logger = Debug('acp:server');
function createAServer() {
    if (process.env.SECURE === 'true') {
        const options = {
            key: fs_1.readFileSync(process.env.SSL_KEY),
            cert: fs_1.readFileSync(process.env.SSL_CERT),
        };
        return https_1.createServer(options);
    }
    return http_1.createServer();
}
exports.Server = createAServer();
exports.Server.listen(+process.env.PORT || 26192, () => {
    logger(`listing on ${process.env.PORT}`);
});
